Bug 839668 - rpmbuild fails on Fedora 17 due to %ghost files in the spec
rpmbuild fails on Fedora 17 due to %ghost files in the spec
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
pre-release
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Niels de Vos
: Patch
Depends On: 839656
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 10:09 EDT by Niels de Vos
Modified: 2013-07-24 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:15:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2012-07-12 10:09:30 EDT
Description of problem:
Avati noticed that on Fedora 15 (and also on Fedora 17) the glusterfs.spec.in can not be used to build RPMs from the 'make dist' tarball.

Version-Release number of selected component (if applicable):
glusterfs/master and rpm-4.9

How reproducible:
100% on Fedora 17

Steps to Reproduce:
1. make dist
2. rpmbuild -ta glusterfs-3git.tar.gz
  
Actual results:
RPM build errors:
    Recognition of file "/home/avati/rpmbuild/BUILDROOT/glusterfs-3git-1.fc15.x86_64/var/lib/glusterd/geo-replication" failed: mode 100755 cannot open `/home/avati/rpmbuild/BUILDROOT/glusterfs-3git-1.fc15.x86_64/var/lib/glusterd/geo-replication' (No such file or directory) 


Expected results:
Packages should be built.

Additional info:
The same glusterfs.spec.in can be used with 'make dist' on RHEL-6 without issues. Bug 839656 was opened with a small example spec file to get more information from the rpm maintainer(s).
Comment 1 Niels de Vos 2012-07-16 12:18:44 EDT
http://review.gluster.com/3674 contains a patch that makes building work for me again. I see this as a workaround until bug 839656 is fixed, not as a permanent solution.
Comment 2 Vijay Bellur 2012-07-17 11:22:33 EDT
CHANGE: http://review.gluster.com/3674 (build: Create directories and files that get created during runtime) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Vijay Bellur 2012-10-25 03:49:04 EDT
CHANGE: http://review.gluster.org/3899 (build: Create directories and files that get created during runtime) merged in release-3.3 by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.